# Loki::SingletonWithLongevity< T > Struct Template Reference
[Lifetime policies]

`#include <Singleton.h>`

List of all members.

## Detailed Description

### template<class T>
struct Loki::SingletonWithLongevity< T >

Implementation of the LifetimePolicy used by SingletonHolder Schedules an object's destruction in order of their longevities Assumes a visible function GetLongevity(T*) that returns the longevity of the object.

The documentation for this struct was generated from the following file:

- Singleton.h